Author Topic: Upgrade 1.7.5 to 2.2.1 Fails to Complete Migration  (Read 1410 times)

GerryV

  • Newbie
  • *
  • Posts: 2
    • View Profile
Upgrade 1.7.5 to 2.2.1 Fails to Complete Migration
« on: August 14, 2015, 06:50:30 PM »
Hello, I've been trying to upgrade a 1.7.5 to different version on 2.x, and so far this is the closest I've gotten to getting it to complete OK, except now when I ran the command/public/upgrade/complete_migration.php 2000 >> /root/feng_upgrade_log.log
As per your documentation, the first time it takes several minutes, then the log it touches it's empty; and if I look under /cache/logs, this is all I see:
Session "default" started at 2015-08-14T20:44:08+0000
#1 DEBUG: SQL ERROR: Query failed with message 'Table 'ogoo.fo_plugins' doesn't exist' - SELECT * FROM `fo_plugins` WHERE  is_installed = 1 AND is_activated = 1
#2 FATAL: exception 'DBQueryError' with message 'Query failed with message 'Table 'ogoo.fo_plugins' doesn't exist'' in /var/www/ogoo/environment/library/database/adapters/AbstractDBAdapter.class.php:386
    Stack trace:
    #0 /var/www/ogoo/environment/library/database/adapters/AbstractDBAdapter.class.php(304): AbstractDBAdapter->prepareAndExecute('SELECT * FROM `...', NULL)
    #1 /var/www/ogoo/environment/library/database/DB.class.php(213): AbstractDBAdapter->executeAll('SELECT * FROM `...', NULL)
    #2 /var/www/ogoo/environment/classes/dataaccess/DataManager.class.php(282): DB::executeAll('SELECT * FROM `...')
    #3 /var/www/ogoo/application/models/plugins/base/BasePlugins.class.php(111): DataManager->find(Array)
    #4 /var/www/ogoo/environment/classes/dataaccess/DataManager.class.php(320): BasePlugins->find(Array)
    #5 /var/www/ogoo/application/models/plugins/base/BasePlugins.class.php(126): DataManager->findAll(Array)
    #6 /var/www/ogoo/application/models/plugins/Plugins.class.php(39): BasePlugins->findAll(Array)
    #7 /var/www/ogoo/environment/classes/hook/Hook.class.php(30): Plugins->getActive()
    #8 /var/www/ogoo/application/application.php(16): Hook::init()
    #9 /var/www/ogoo/init.php(152): require_once('/var/www/ogoo/a...')
    #10 /var/www/ogoo/index.php(9): require('/var/www/ogoo/i...')
    #11 {main}
Time since start: 0.0075509548187256 seconds

If I then proceed to try and upgrade the plugins, this is what shows up in the logs (# goes from 1 to 465):

#1 ERROR: Error: Undefined variable: obj in '/var/www/ogoo/plugins/workspaces/up                                                                                                                                                             date.php' on line 10 (error code: 8)

Good think this is a VM, and I can keep rolling back, but I've been at it for 10 hours now and just can't get an upgrade without any errors, but maybe if I can get the complete migration to proceed, I might finally be able to move into 2.x and then into 3.x...sigh...

Thanks for your help.
« Last Edit: August 14, 2015, 06:55:53 PM by GerryV »

 

anything